Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.verisign.epp.codec.premiumdomain
Class EPPPremiumDomainCheckResp

    java.lang.Object
      com.verisign.epp.codec.premiumdomain.EPPPremiumDomainCheckResp

All Implemented Interfaces:
  EPPCodecComponent, java.io.Serializable, java.lang.Cloneable

    public class EPPPremiumDomainCheckResp

extends java.lang.Object
implements EPPCodecComponent

Represents an EPP Domain <premiumdomain:chkData> extension response to a `EPPDomainCheckCmd`. When a <check> command has been processed successfully, the EPP response may contain a child <premiumdomain:chkData> extension element that identifies the premium domain namespace and the location of the premium domain schema. The <premiumdomain:chkData> elements contains one or more <premiumdomain:cd> elements that contain the following child elements:

- A <premiumdomain:name> element that contains the fully qualified name of the queried domain object. This element MUST contain an "isPremium" attribute whose value indicates if an object is premium at the moment the <check> command was completed. A value of "1" menas that the object is premium. A value of "0" means that the object is not a premium.
- An OPTIONAL <premiumdomain:price> element that MAY be provided when an object is premium and available for provisioning.

See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `ELM_NAME` XML tag name of `EPPPremiumDomainCheckResp` root element

Constructor Summary
`EPPPremiumDomainCheckResp()` `EPPPremiumDomainCheckResp` default constructor.
`EPPPremiumDomainCheckResp(EPPPremiumDomainCheckResult aResult)` `EPPPremiumDomainCheckResp` constructor that will set the result of an individual domain.
`EPPPremiumDomainCheckResp(java.util.Vector aResults)` `EPPPremiumDomainCheckResp` constructor that will set the result of multiple domains.

Method Summary
`java.lang.Object` | `clone()` Clone `EPPPremiumDomainCheckResp`.
`void` | `decode(org.w3c.dom.Element aElement)` Decode the `EPPPremiumDomainCheckResp` attributes from the `aElement` DOM Element tree.
`org.w3c.dom.Element` | `encode(org.w3c.dom.Document aDocument)` Encode a DOM Element tree from the attributes of the `EPPPremiumDomainCheckResp` instance.
`boolean` | `equals(java.lang.Object aObject)` Compare an instance of `EPPPremiumDomainCheckResp` with this instance.
`java.util.Vector` | `getCheckResults()` Get the results of a `EPPPremiumDomainCheckResp` Response.
`void` | `setCheckResults(java.util.Vector aResults)` Set the results of a `EPPPremiumDomainCheckResp` Response.

Methods inherited from class java.lang.Object
`finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ELM_NAME

    public static final java.lang.String ELM_NAME

  XML tag name of `EPPPremiumDomainCheckResp` root element

  See Also:
    Constant Field Values

Constructor Detail

### EPPPremiumDomainCheckResp

    public EPPPremiumDomainCheckResp()

  `EPPPremiumDomainCheckResp` default constructor. It will set results attribute to an empty `Vector`.

### EPPPremiumDomainCheckResp

    public EPPPremiumDomainCheckResp(EPPPremiumDomainCheckResult aResult)

  `EPPPremiumDomainCheckResp` constructor that will set the result of an individual domain.

  Parameters:
    `aResult` - Result of a single premium domain name

### EPPPremiumDomainCheckResp

    public EPPPremiumDomainCheckResp(java.util.Vector aResults)

  `EPPPremiumDomainCheckResp` constructor that will set the result of multiple domains.

  Parameters:
    `aResults` - Results Vector of EPPDomainCheckResult instances.

Method Detail

### clone

    public java.lang.Object clone()
                           throws java.lang.CloneNotSupportedException

  Clone `EPPPremiumDomainCheckResp`.

  Specified by:
    `clone` in interface `EPPCodecComponent`
  Overrides:
    `clone` in class `java.lang.Object`
  Returns:
    clone of `EPPPremiumDomainCheckResp`
  Throws:
    `java.lang.CloneNotSupportedException` - standard Object.clone exception

### encode

    public org.w3c.dom.Element encode(org.w3c.dom.Document aDocument)
                               throws EPPEncodeException

  Encode a DOM Element tree from the attributes of the `EPPPremiumDomainCheckResp` instance.

  Specified by:
    `encode` in interface `EPPCodecComponent`
  Parameters:
    `aDocument` - DOM Document that is being built
  Returns:
    Element Root DOM Element representing the `EPPPremiumDomainCheckResp` instance.
  Throws:
    `EPPEncodeException`

### decode

    public void decode(org.w3c.dom.Element aElement)
                throws EPPDecodeException

  Decode the `EPPPremiumDomainCheckResp` attributes from the `aElement` DOM Element tree.

  Specified by:
    `decode` in interface `EPPCodecComponent`
  Parameters:
    `aElement` - Root DOM Element to decode `EPPPremiumDomainCheckResp` from.
  Throws:
    `EPPDecodeException` - Unable to decode `aElement`

### equals

    public boolean equals(java.lang.Object aObject)

  Compare an instance of `EPPPremiumDomainCheckResp` with this instance.

  Overrides:
    `equals` in class `java.lang.Object`
  Parameters:
    `aObject` - Object to compare with.
  Returns:
    true if equal false otherwise

### setCheckResults

    public void setCheckResults(java.util.Vector aResults)

  Set the results of a `EPPPremiumDomainCheckResp` Response. There is one `EPPPremiumDomainCheckResult` instance in `aResults` for each domain requested in the `EPPDomainCheckCmd` Command.

  Parameters:
    `aResults` - Vector of `EPPPremiumDomainCheckResult` instances.

### getCheckResults

    public java.util.Vector getCheckResults()

  Get the results of a `EPPPremiumDomainCheckResp` Response. There is one `EPPPremiumDomainCheckResult` instance in `someResults` for each domain requested in the `EPPPremiumDomainCheckResult` Command.

  Returns:
    Vector of `EPPPremiumDomainCheckResult` instances.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © VeriSign Inc. All Rights Reserved.